OGRE: Ogre::ShadowTextureDefinition Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::ShadowTextureDefinition Class Reference
Core » Effects

Local texture definition. More...

`#include <OgreCompositorShadowNodeDef.h>`

Inheritance diagram for Ogre::ShadowTextureDefinition:
[legend]

## Public Member Functions
| ShadowTextureDefinition (ShadowMapTechniques t, const String &texRefName, const Vector2 &_uvOffset, const Vector2 &_uvLength, uint8 _arrayIdx, size_t _light, size_t _split)
void | _setSharesSetupWithIdx (size_t idx)
size_t | getSharesSetupWith () const
IdString | getTextureName () const
String | getTextureNameStr () const
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Public Attributes
uint8 | arrayIdx
size_t | light
uint32 | numSplits
uint32 | numStableSplits
Real | pssmLambda
ShadowMapTechniques | shadowMapTechnique
size_t | split
Real | splitBlend
Real | splitFade
Real | splitPadding
Vector2 | uvLength
Vector2 | uvOffset

## Detailed Description

Local texture definition.

## Constructor & Destructor Documentation

## ◆ ShadowTextureDefinition()

Ogre::ShadowTextureDefinition::ShadowTextureDefinition | ( | ShadowMapTechniques | t,
|  | const String & | texRefName,
|  | const Vector2 & | _uvOffset,
|  | const Vector2 & | _uvLength,
|  | uint8 | _arrayIdx,
|  | size_t | _light,
|  | size_t | _split
| ) |  |
| inline

## Member Function Documentation

## ◆ _setSharesSetupWithIdx()

void Ogre::ShadowTextureDefinition::_setSharesSetupWithIdx | ( | size_t | idx | ) |
| inline

## ◆ getSharesSetupWith()

size_t Ogre::ShadowTextureDefinition::getSharesSetupWith | ( |  | ) | const
| inline

## ◆ getTextureName()

IdString Ogre::ShadowTextureDefinition::getTextureName | ( |  | ) | const
| inline

## ◆ getTextureNameStr()

String Ogre::ShadowTextureDefinition::getTextureNameStr | ( |  | ) | const
| inline

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Member Data Documentation

## ◆ arrayIdx

uint8 Ogre::ShadowTextureDefinition::arrayIdx

## ◆ light

size_t Ogre::ShadowTextureDefinition::light

## ◆ numSplits

uint32 Ogre::ShadowTextureDefinition::numSplits

## ◆ numStableSplits

uint32 Ogre::ShadowTextureDefinition::numStableSplits

## ◆ pssmLambda

Real Ogre::ShadowTextureDefinition::pssmLambda

## ◆ shadowMapTechnique

ShadowMapTechniques Ogre::ShadowTextureDefinition::shadowMapTechnique

## ◆ split

size_t Ogre::ShadowTextureDefinition::split

## ◆ splitBlend

Real Ogre::ShadowTextureDefinition::splitBlend

## ◆ splitFade

Real Ogre::ShadowTextureDefinition::splitFade

## ◆ splitPadding

Real Ogre::ShadowTextureDefinition::splitPadding

## ◆ uvLength

Vector2 Ogre::ShadowTextureDefinition::uvLength

## ◆ uvOffset

Vector2 Ogre::ShadowTextureDefinition::uvOffset

The documentation for this class was generated from the following file:

- OgreCompositorShadowNodeDef.h